// import 'package:parodia/core/dto/address.dto.dart';
// import 'package:parodia/core/dto/response_item.dto.dart';
// import 'package:parodia/core/dto/response_list.dto.dart';
// import 'package:parodia/core/enums.dart';
// import 'package:parodia/core/http/parodia_http.dart';
// import 'package:parodia/core/model/body_data.model.dart';

// /// A repository for the address model.
// ///
// /// This class provides methods to interact with the API endpoints for the address model.
// /// It also provides methods to convert the JSON object received from the API to a [ResponseItemDTO] or [ResponseListDTO] of [AddressDTO].
// /// Methods:
// /// - [getAddress]
// /// - [updateAddress]
// /// - [deleteAdresses]
// /// - [getAllAdresses]
// /// - [createAdresses]
// class AddressRepository {
//   ParodiaHTTP? _http;

//   AddressRepository(ParodiaHTTP http) {
//     _http = http;
//   }

//   Future<ResponseItemDTO<AddressDTO>> getAddress({String? id}) async {
//     final response = await _http!.request(
//       requestType: RequestType.get,
//       path: '/addresses',
//       param: id,
//     );

//     return ResponseItemDTO<AddressDTO>(
//       response: response,
//       fromJson: AddressDTO.fromJson,
//     );
//   }

//   Future<ResponseItemDTO> updateAddress(
//       {AddressBodyDataModel? data, String? id}) async {
//     final response = await _http!.request(
//       requestType: RequestType.put,
//       path: '/addresses/$id',
//       data: data,
//     );

//     return ResponseItemDTO(
//       response: response,
//       fromJson: null,
//     );
//   }

//   Future<ResponseItemDTO> deleteAdresses({String? id}) async {
//     final response = await _http!.request(
//       requestType: RequestType.delete,
//       path: '/addresses',
//       param: id,
//     );

//     return ResponseItemDTO(
//       response: response,
//       fromJson: null,
//     );
//   }

//   Future<ResponseListDTO<AddressDTO>> getAllAdresses() async {
//     final response = await _http!.request(
//       requestType: RequestType.get,
//       path: '/addresses',
//     );

//     return ResponseListDTO<AddressDTO>(
//       response: response,
//       fromJson: AddressDTO.fromJson,
//     );
//   }

//   Future<ResponseItemDTO> createAdresses({AddressBodyDataModel? data}) async {
//     final response = await _http!.request(
//       requestType: RequestType.post,
//       path: '/addresses',
//       data: data,
//     );
//     return ResponseItemDTO(
//       response: response,
//       fromJson: null,
//     );
//   }
// }
